Subject: Re: [PATCH v3 01/20] staging: wfx: add infrastructure for new driver

From: Greg Kroah-Hartman <[email-masked]>
Date: Fri, 4 Oct 2019 10:23:42 +0200

On Thu, Sep 19, 2019 at 02:25:36PM +0000, Jerome Pouiller wrote:
> From: Jérôme Pouiller <[email-masked]>
> 
> Instantiate build infrastructure WFx driver. This driver provides support
> for Wifi chipset Silicon Labs WF200 and further:
> 
>    https://www.silabs.com/documents/public/data-sheets/wf200-datasheet.pdf
> 
> This chip support SPI and SDIO bus.
> 
> SDIO interface has two particularities:
>     1. Some parameters may be useful for end user (I will talk about
>        gpio_wakeup later).
>     2. The SDIO VID and PID of WF200 are 0000:0001 which are too much
>        generic to rely on.
> 
> So, current code checks VID/PID and looks for a node in DT (since WF200
> targets embedded platforms, I don't think it is a problem to rely on
> DT). DT can also be used to define to parameters for driver. Currently,
> if no node is found, a warning is emitted, but it could be changed in
> error.
> 
> Signed-off-by: Jérôme Pouiller <[email-masked]>

Personally, I think you are going to find that this is going to take
more work to get this cleaned up in the staging tree and then out of it
into the "real" part of the kernel, instead of just doing the needed
work out of the tree now and then submitting it "properly" to the right
part of the tree.

But hey, who am I to judge people who like to do extra work!  :)

I'll go queue this up now, good luck!

greg k-h